# Version 1

## Return result in JSON

<mark style="color:blue;">`GET`</mark> `https://okaydbdemo.innov8tif.com/ekyc/api/aml/v1/person/{{personID}}?apiKey={{apikey}}`

Please fill in the personID & apikey in the url.

{% tabs %}
{% tab title="200 " %}

```
{
  "id": 873938,
  "title": {
    "description": "None"
  },
  "alternativeTitle": null,
  "forename": "Mohd Najib",
  "middlename": null,
  "surname": "Abdul Razak",
  "dateOfBirth": "1953-07-23",
  "yearOfBirth": 1953,
  "dateOfDeath": null,
  "yearOfDeath": null,
  "isDeceased": false,
  "gender": "Male",
  "nationality": {
    "nationality": "Malaysian"
  },
  "imageURL": "https://secure.c6-intelligence.com/c6images/ari0201950/iHdkxRN4.png",
  "telephoneNumber": "+60 3-8882 3003",
  "faxNumber": "+60 3-8882 3054",
  "mobileNumber": "",
  "email": "najib@pmo.gov.my",
  "pepLevel": 1,
  "isPEP": true,
  "isSanctionsCurrent": false,
  "isSanctionsPrevious": false,
  "isLawEnforcement": true,
  "isFinancialregulator": false,
  "isDisqualifiedDirector": false,
  "isInsolvent": false,
  "isAdverseMedia": true,
  "addresses": [
    {
      "address1": "Level 12, Centre Block",
      "address2": "Ministry of Finance Complex Precinct 2 Federal Government Administrative Center",
      "address3": "",
      "address4": "",
      "city": "Putrajaya",
      "county": null,
      "postcode": "62592",
      "country": {
        "name": "Malaysia"
      }
    },
    {
      "address1": "Pejabat Perdana Menteri",
      "address2": "Blok Utama Bangunan Perdana Putra Pusat Pentadbiran Kerajaan Persekutuan",
      "address3": "",
      "address4": "",
      "city": "Putrajaya",
      "county": null,
      "postcode": "62502",
      "country": {
        "name": "Malaysia"
      }
    },
    {
      "address1": "No. 11 Langgak Duta Street, Taman Duta",
      "address2": "",
      "address3": "",
      "address4": "",
      "city": "",
      "county": "Kuala Lumpur",
      "postcode": "50480",
      "country": {
        "name": "Malaysia"
      }
    }
  ],
  .......
}
```

{% endtab %}
{% endtabs %}

## Return result in PDF bytes

<mark style="color:blue;">`GET`</mark> `https://okaydbdemo.innov8tif.com/ekyc/api/aml/v1/person/pdf/{{personID}}?apiKey={{apikey}}`

Please fill in the personID & apikey in the url.

#### Path Parameters

| Name | Type   | Description |
| ---- | ------ | ----------- |
|      | string |             |

{% tabs %}
{% tab title="200 Save this response as PDF file" %}

```
%PDF-1.4
%����
1 0 obj
<<
/Title<FEFF0050006500720073006F006E002000640065007400610069006C0073>
/Creator<FEFF0077006B00680074006D006C0074006F00700064006600200030002E00310032002E0034>
/Producer(PDFsharp 1.50.4845 \(www.pdfsharp.com\) \(Original: Qt 4.8.7\))
/CreationDate(D:20201127072743Z)
/ModDate(D:20201127072744+00'00')
>>
endobj
2 0 obj
<<
/Type/Pages
/Kids[5 0 R 19 0 R 25 0 R 30 0 R 34 0 R 38 0 R 42 0 R 46 0 R 50 0 R 54 0 R 58 0 R 62 0 R 66 0 R 71 0 R 81 0 R 91 0 R 101 0 R 110 0 R 118 0 R 128 0 R 137 0 R 146 0 R 155 0 R 165 0 R 174 0 R 184 0 R 194 0 R 203 0 R 212 0 R 221 0 R 230 0 R 239 0 R 250 0 R 260 0 R 269 0 R 278 0 R 287 0 R 297 0 R 307 0 R 315 0 R 325 0 R 333 0 R 340 0 R 350 0 R 360 0 R 370 0 R 378 0 R 385 0 R 391 0 R 401 0 R 411 0 R 420 0 R 431 0 R 442 0 R 451 0 R 459 0 R 470 0 R 483 0 R 492 0 R 502 0 R 514 0 R 523 0 R 535 0 R 545 0 R 553 0 R 563 0 R 573 0 R 585 0 R 592 0 R]
/Count 69
/ProcSet[/PDF/Text/ImageB/ImageC]
>>
endobj
3 0 obj

.................................
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api-old.innov8tif.com/okaydb/aml/search-by-person-id/version-1.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
